Subject: Re: [PATCH gnome-team v8 0/6] Update eudev, udev-service-type, upower

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 06 Oct 2023 20:23:04 +0200

Am Freitag, dem 06.10.2023 um 18:45 +0200 schrieb Vivien Kraus:
> Le jeudi 05 octobre 2023 à 07:42 +0200, Liliana Marie Prikler a écrit
> :
> > Speaking of which, we might want to rename "hwdb.d" to "hardware"
> > in udev itself to make that name readable, but keep
> > /etc/udev/hwdb.bin as-is.
> 
> I renamed to "hardware" in Guix documentation, but individual
> packages (if they behave like upower) expect to install their
> hardware files in "hwdb.d", so I think we should keep "hwdb.d" as the
> directory name.
We could patch those or supply configuration arguments, but fair enough
if you don't want to.

> Le jeudi 05 octobre 2023 à 08:53 +0200, Liliana Marie Prikler a
> écrit :
> > This sounds more like a limitation/bug in our udev-service-type
> > than in eudev?  If eudev wants its files installed to /etc, they
> > should be left there I think.  Going against this is more
> > maintenance down the road, and surprise from users.
> 
> As discussed in IRC, we set sysconfdir to /etc so that it can have
> hardware files from many packages. So the hardware files are searched
> from either "/etc/udev/hwdb.d" or
> "$individual_package_prefix/lib/udev/hwdb.d".
> So, the only standard directory to install hwdb files during a build
> of a package is $package_prefix/lib/udev/hwdb.d.
Which makes me think we could also make this $prefix/lib/udev/hardware.
But again, if you like ltrsld, I'm fine with that.

> Vivien Kraus (6):
>   gnu: eudev: Update to 3.2.14.
>   services: udev: Rewrite udev-rule to use file->udev-rule.
>   services: udev: Make udev-rule helper functions generic.
>   gnu: udev-service-type: accept hardware description file
> extensions.
>   gnu: libgudev: Update to 238.
>   gnu: upower: Update to 1.90.2.
> 
>  doc/guix.texi                                 |  57 ++++++--
>  gnu/packages/gnome.scm                        |  43 +++---
>  gnu/packages/linux.scm                        |  57 +++++---
>  .../patches/eudev-rules-directory.patch       |   9 +-
>  gnu/services/base.scm                         | 124 +++++++++++++---
> --
>  5 files changed, 205 insertions(+), 85 deletions(-)
Will look at those shortly.

Cheers